Sign inGet started

Members

GET
/organizations/{organizationId}/teams/{teamId}/members
List the members of the team.
查询参数
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: active, invited, requested-to-join
响应载荷
results
array of object
显示子属性
results.id
string
必填
results.type
string
必填
Possible values: user
results.status
string
必填
Possible values: active, invited, requested-to-join
results.createdAt
string
必填
results.updatedAt
string
必填
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/teams/{teamId}/members
Add a member to the team.
请求载荷
type
string
必填
Possible values: user
id
string
必填
响应载荷
results
array of object
显示子属性
results.id
string
必填
results.type
string
必填
Possible values: user
results.status
string
必填
Possible values: active, invited, requested-to-join
results.createdAt
string
必填
results.updatedAt
string
必填
代码示例
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Retrieve a single team member.
响应载荷
id
string
必填
type
string
必填
Possible values: user
status
string
必填
Possible values: active, invited, requested-to-join
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Remove a member from a team.
代码示例
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'